Bug 823098 - login window twice
login window twice
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-19 00:00 EDT by andyzhu35
Modified: 2013-02-13 17:09 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:09:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmsg for twice login window (83.16 KB, text/x-log)
2012-05-20 23:55 EDT, andyzhu35
no flags Details

  None (edit)
Description andyzhu35 2012-05-19 00:00:03 EDT
Description of problem:

login window presented twice: first login appears after bootup; log in (don't delay, see below); os gets into gnome desktop; then a short time period; it will go back to login window again. need to log in again; as there is no login in the first time.

the key here is that there is a small time window this will occur; if delay login some time when it appears, one won't see this problem. A race condition?

Version-Release number of selected component (if applicable):
this appears when upgrade to kernel-3.3.5-2 a couple of days ago.

How reproducible:


Steps to Reproduce:
1. boot up
2. log in immediately when login window appears
3. short time after login, windows will go back to login window and require relogin for a new session.
  
Actual results:


Expected results:
Only login once.

Additional info:
Comment 1 Josh Boyer 2012-05-20 08:53:11 EDT
Is there anything in /var/log/messages of interest?  This doesn't sound like a kernel problem.
Comment 2 andyzhu35 2012-05-20 23:55:08 EDT
Created attachment 585711 [details]
dmsg for twice login window

Actually if logged in too quick, it logs into tty2, while second log window is from tty1.
Comment 3 Josh Boyer 2012-05-21 09:51:29 EDT
(In reply to comment #2)
> Created attachment 585711 [details]
> dmsg for twice login window
> 
> Actually if logged in too quick, it logs into tty2, while second log window
> is from tty1.

There's nothing in that dmesg that looks like a kernel problem.  I'd suggest looking in /var/log/messages or other logs and seeing if you see something of interest.
Comment 4 Bob Agel 2012-05-23 12:25:55 EDT
Same results here since the kernel updated.  Here's the results of /var/log/secure:

May 23 11:56:20 localhost gdm-welcome][1185]: pam_unix(gdm-welcome:session): session opened for user gdm by (uid=0)
May 23 11:56:23 localhost polkitd(authority=local): Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.
36 [gnome-shell --gdm-mode], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
May 23 11:56:30 localhost gdm-password][1355]: pam_unix(gdm-password:session): session opened for user bob by (uid=0)
May 23 11:56:30 localhost polkitd(authority=local): Unregistered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :
1.
36, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
May 23 11:57:07 localhost gdm-welcome][1890]: pam_unix(gdm-welcome:session): session opened for user gdm by (uid=0)
May 23 11:57:08 localhost polkitd(authority=local): Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.29 [gnome-shell --gdm-mode], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
May 23 11:57:15 localhost gdm-password][1950]: pam_unix(gdm-password:session): session opened for user bob by (uid=0)
May 23 11:57:15 localhost polkitd(authority=local): Unregistered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session1 (system bus name :1.29, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8) (disconnected from bus)
May 23 11:57:24 localhost polkitd(authority=local): Registered Authentication Agent for unix-session:/org/freedesktop/ConsoleKit/Session2 (system bus name :1.71 [/usr/bin/gnome-shell], object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
May 23 11:58:54 localhost su: pam_unix(su:session): session opened for user root by bob(uid=1000)
Comment 5 Bob Agel 2012-05-23 12:36:02 EDT
Just tried login to previous kernel and same results, so it's not the kernel per se.  However, these are the updates that happened at the same time:

usb_modeswitch-data-20120120-1.fc16           Tue 22 May 2012 07:58:18 AM EDT
usb_modeswitch-1.2.3-1.fc16                   Tue 22 May 2012 07:58:19 AM EDT
setroubleshoot-server-3.1.11-1.fc16           Tue 22 May 2012 07:58:20 AM EDT
setroubleshoot-plugins-3.0.38-1.fc16          Tue 22 May 2012 07:58:22 AM EDT
setroubleshoot-3.1.11-1.fc16                  Tue 22 May 2012 07:58:24 AM EDT
os-prober-1.53-1.fc16                         Tue 22 May 2012 07:58:25 AM EDT
kernel-headers-3.3.6-3.fc16                   Tue 22 May 2012 07:58:26 AM EDT
obexd-0.44-1.fc16                             Tue 22 May 2012 07:58:28 AM EDT
openconnect-3.20-1.fc16                       Tue 22 May 2012 07:58:29 AM EDT
kernel-devel-3.3.6-3.fc16                     Tue 22 May 2012 07:58:47 AM EDT
kernel-3.3.6-3.fc16                           Tue 22 May 2012 07:58:54 AM EDT

And, once the new kernel was installed, I rebooted to test it and had the login fail happen the first time.  So, if not the kernel, which update might be involved?
Comment 6 Bob Agel 2012-05-23 12:45:31 EDT
Additional info.  Just allowed the boot to sit at the login screen for a couple of minutes before entering the password and the login succeeded on the first attempt.
Comment 7 andyzhu35 2012-05-23 21:18:08 EDT
Good to see that I am not alone.  Just confirm with Bob: if wait a while for login screen to stay, won't see this twice login.

I am not sure which update starts the problem but i noticed in 3.3.5-2.  Not even sure if it is a kernel problem or gnome problem.
Comment 8 Josh Boyer 2012-05-24 10:15:19 EDT
I'm going to guess something in the updated kernel initramfs is causing some kind of delay issue.  Nothing presented thus far has indicated this is related to the kernel at all.

For now, I'm going to assign this to GDM.  Ray can probably ask more pertinent questions than I can on what to look for.
Comment 9 Bob Agel 2012-05-27 15:30:12 EDT
Well, a new kernel (3.3.7-1.fc16.x86_64) and it's still happening.  Dmesg reports this:

[   19.461561] avahi-daemon[966]: avahi-daemon 0.6.30 starting up.
[   19.493753] auditd[900]: Init complete, auditd 2.2.1 listening for events (startup state enable)
[   19.516126] sandbox[970]: Starting sandbox[  OK  ]
[   19.922829] forcedeth 0000:00:07.0: irq 41 for MSI/MSI-X
[   19.922856] forcedeth 0000:00:07.0: eth0: MSI enabled
[   27.367833] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.

(I've always felt inadequate about my bdl_pos_adj ; genetics I guess) ;)  So, anyhow guys, enjoy the Memorial Day weekend.  You've earned a break.
Comment 10 andyzhu35 2012-06-03 07:21:46 EDT
confirm with Bob, still there in 3.3.7-1 kernel
Comment 11 vincent 2012-07-25 19:57:59 EDT
I had this problem for the past two months until today.  I found that if I boot using selinux=0, login works on the first try.  Possibly an selinux problem?
Comment 12 Dave Jones 2012-07-26 10:22:06 EDT
grep for 'denied' in /var/log/audit/audit.log to see if that shows any relevant clues.
Comment 13 vincent 2012-07-26 12:36:08 EDT
(In reply to comment #12)
> grep for 'denied' in /var/log/audit/audit.log to see if that shows any
> relevant clues.

Here are the relevant lines with denied.


type=AVC msg=audit(1342222460.688:92): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="alloc" dev="dm-1" ino=399
130 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222460.688:92): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=115918b a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222460.846:93): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="misc" dev="dm-1" ino=3991
33 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222460.846:93): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=11591ab a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222460.876:94): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="string" dev="dm-1" ino=39
9170 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222460.876:94): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=11591c3 a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222460.897:95): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="log" dev="dm-1" ino=52756
6 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222460.897:95): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=11591e3 a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222460.897:96): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="common" dev="dm-1" ino=39
8984 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222460.897:96): arch=c000003e syscall=263 success=no exit=-13 a0=5 a1=11510eb a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222461.165:97): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="generic" dev="dm-1" ino=5
30037 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222461.165:97): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=11590eb a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222461.202:98): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="linux" dev="dm-1" ino=530
042 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222461.202:98): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=1159123 a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222461.203:99): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="r0drv" dev="dm-1" ino=530
036 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222461.203:99): arch=c000003e syscall=263 success=no exit=-13 a0=5 a1=115110b a2=200 a3=0 items=0 ppid=1
 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile" 
exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222463.543:100): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="generic" dev="dm-1" ino=
529508 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222463.543:100): arch=c000003e syscall=263 success=no exit=-13 a0=5 a1=115112b a2=200 a3=0 items=0 ppid=
1 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile"
 exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222465.339:101): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="vmm" dev="dm-1" ino=5299
66 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222465.339:101): arch=c000003e syscall=263 success=no exit=-13 a0=7 a1=116111b a2=200 a3=0 items=0 ppid=
1 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile"
 exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222465.339:102): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="VBox" dev="dm-1" ino=529
962 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222465.339:102): arch=c000003e syscall=263 success=no exit=-13 a0=6 a1=11590eb a2=200 a3=0 items=0 ppid=
1 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile"
 exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
type=AVC msg=audit(1342222466.153:103): avc:  denied  { rmdir } for  pid=2395 comm="systemd-tmpfile" name="nocrt" dev="dm-1" ino=53
0002 scontext=system_u:system_r:systemd_tmpfiles_t:s0 tcontext=system_u:object_r:usr_t:s0 tclass=dir
type=SYSCALL msg=audit(1342222466.153:103): arch=c000003e syscall=263 success=no exit=-13 a0=7 a1=116114b a2=200 a3=0 items=0 ppid=
1 pid=2395 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="systemd-tmpfile"
 exe="/bin/systemd-tmpfiles" subj=system_u:system_r:systemd_tmpfiles_t:s0 key=(null)
Comment 14 Richard Shaw 2012-08-12 11:18:02 EDT
Similar problem here with an Acer laptop. The wife didn't say exactly (about a month?) when it started but it does it EVERY time with 3.3.X and 3.4.X kernels. 

In her case if she attempts a login on the first gdm load it will kick her out and she has to login again so she just waits for the second gdm load.
Comment 15 chamba 2012-10-01 08:31:44 EDT
I knew I cant be the only one
Comment 16 Fedora End Of Life 2013-01-16 12:27:47 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Fedora End Of Life 2013-02-13 17:09:49 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.